Hello,

last commits introduced new functionality: 'latex-flymake' with some
documentation, but the code in 'latex-flymake.el' contradicts the
documentation: it enables 'latex-flymake' unconditionaly.

I prepared small patch to fix the situation in accordance with the
documentation.

---
WBR, Vladimir Lomov

-- 
Many hands make light work.
                -- John Heywood
diff --git a/latex-flymake.el b/latex-flymake.el
index b06149cf..dfbd6931 100644
--- a/latex-flymake.el
+++ b/latex-flymake.el
@@ -104,8 +104,8 @@ REPORT-FN is flymake's callback function."
   "Setup flymake backend for LaTeX."
   (add-hook 'flymake-diagnostic-functions 'LaTeX-flymake nil t))
 
-(when (< 25 emacs-major-version)
-  (add-hook 'LaTeX-mode-hook #'LaTeX-setup-flymake-backend))
+; (when (< 25 emacs-major-version)
+;   (add-hook 'LaTeX-mode-hook #'LaTeX-setup-flymake-backend))
 
 (provide 'latex-flymake)
 ;;; latex-flymake.el ends here
_______________________________________________
auctex-devel mailing list
auctex-devel@gnu.org
https://lists.gnu.org/mailman/listinfo/auctex-devel

Reply via email to